> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Today Concepts

> Get today's concept feeds with trending data and event counts. Returns concepts from 9:00 AM today until now, including generation counts, earliest/latest timestamps, and event frequencies

## 获取今日概念动态

**URL**: `/v1/concepts/today`\
**方法**: `GET`\
**描述**: 获取今日概念动态列表，包含概念的生成次数和相关股票。

### 请求参数

无需请求参数。

### 响应参数

| 参数名           | 类型      | 描述     |
| ------------- | ------- | ------ |
| concept\_id   | string  | 概念唯一标识 |
| concept\_code | string  | 概念代码   |
| concept\_name | string  | 概念名称   |
| gen\_count    | integer | 今日生成次数 |
| stocks        | array   | 相关股票列表 |
|   market      | string  | 股票市场   |
|   code        | string  | 股票代码   |
|   name        | string  | 股票名称   |

### 请求示例

**cURL**

```bash theme={null}
curl -X GET "https://api.reportify.cn/v1/concepts/today" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
```

**Python 示例**

```python theme={null}
import requests

url = "https://api.reportify.cn/v1/concepts/today"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
result = response.json()

for concept in result:
    print(f"{concept['concept_name']}: {concept['gen_count']} 次")
```

**TypeScript 示例**

```typescript theme={null}
const response = await fetch('https://api.reportify.cn/v1/concepts/today', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
  }
});

const result = await response.json();
for (const concept of result) {
  console.log(`${concept.concept_name}: ${concept.gen_count} 次`);
}
```

### 响应示例

```json theme={null}
[
  {
    "concept_id": "10529065630577670",
    "concept_code": "10512389099234310",
    "concept_name": "东数西算(算力)",
    "gen_count": 5,
    "stocks": [
      {
        "market": "SH",
        "code": "688256",
        "name": "寒武纪"
      },
      {
        "market": "SH",
        "code": "688041",
        "name": "海光信息"
      }
    ]
  },
  {
    "concept_id": "10529065644733446",
    "concept_code": "10512389541143558",
    "concept_name": "人工智能",
    "gen_count": 8,
    "stocks": [
      {
        "market": "SZ",
        "code": "002230",
        "name": "科大讯飞"
      },
      {
        "market": "SH",
        "code": "688111",
        "name": "金山办公"
      }
    ]
  }
]
```

### 注意事项

* **gen\_count**：表示该概念今日被生成/提及的次数，数值越高说明该概念今日热度越高
* **stocks**：返回与该概念最相关的股票列表
* **排序**：结果按 gen\_count 降序排列，热度最高的概念排在前面


## OpenAPI

````yaml GET /v1/concepts/today
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/concepts/today:
    get:
      tags:
        - openapi-concepts
      summary: Get Today Concepts
      description: >-
        Get today's concept feeds with trending data and event counts. Returns
        concepts from 9:00 AM today until now, including generation counts,
        earliest/latest timestamps, and event frequencies
      operationId: get_today_concept_feeds_reportify_api_v1_concepts_today_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````